# Glom::ConnectionPoolBackends::PostgresCentralHosted Class Reference

Inherits Glom::ConnectionPoolBackends::Postgres.

Collaboration diagram for Glom::ConnectionPoolBackends::PostgresCentralHosted:
[legend]

List of all members.

## Public Member Functions

| PostgresCentralHosted ()
void | set_host (const Glib::ustring& value)
| 0 means any port Other ports will be tried if the specified port fails.
void | set_port (int port)
void | set_try_other_ports (bool val)
Glib::ustring | get_host () const
int | get_port () const
bool | get_try_other_ports () const

## Constructor & Destructor Documentation

Glom::ConnectionPoolBackends::PostgresCentralHosted::PostgresCentralHosted | ( |  | ) |

## Member Function Documentation

Glib::ustring Glom::ConnectionPoolBackends::PostgresCentralHosted::get_host | ( |  | ) | const

int Glom::ConnectionPoolBackends::PostgresCentralHosted::get_port | ( |  | ) | const

bool Glom::ConnectionPoolBackends::PostgresCentralHosted::get_try_other_ports | ( |  | ) | const

void Glom::ConnectionPoolBackends::PostgresCentralHosted::set_host | ( | const Glib::ustring & | value | ) |

0 means any port Other ports will be tried if the specified port fails.

void Glom::ConnectionPoolBackends::PostgresCentralHosted::set_port | ( | int | port | ) |

void Glom::ConnectionPoolBackends::PostgresCentralHosted::set_try_other_ports | ( | bool | val | ) |

The documentation for this class was generated from the following files:

- connectionpool_backends/postgres_central.h
- connectionpool_backends/postgres_central.cc